Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# WidgetPropertiesDialog Class Reference

List of all members.

## Public Member Functions
def | __init__
def | apply
def | body
def | buttonbox
def | cancel
def | destroy
def | intOrNone
def | modified
def | ok
def | realOrNone
def | validateChanges
## Public Attributes
| balloonList
| initial_focus
| modifiedDict
| parent
| propertyDict
| propertyList

## Detailed Description

    Class to open dialogs to adjust widget properties.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | propertyDict,
|  |  | propertyList = `None`,
|  |  | parent = `None`,
|  |  | title = `'Widget Properties'`
| ) |  |

    Initialize a dialog.
    Arguments:
        propertyDict -- a dictionary of properties to be edited
        parent -- a parent window (the application window)
        title -- the dialog title

## Member Function Documentation

def apply | ( |  | self | ) |

    process the data

    This method is called automatically to process the data, *after*
    the dialog is destroyed. By default, it does nothing.

def body | ( |  | self,
|  |  | master
| ) |  |

    create dialog body.
    return entry that should have initial focus.
    This method should be overridden, and is called
    by the __init__ method.

def buttonbox | ( |  | self | ) |

    add standard button box buttons.

def cancel | ( |  | self,
|  |  | event = `None`
| ) |  |

def destroy | ( |  | self | ) |

    Destroy the window

def intOrNone | ( |  | self,
|  |  | val
| ) |  |

def modified | ( |  | self,
|  |  | widget,
|  |  | entry,
|  |  | property,
|  |  | type,
|  |  | fNone
| ) |  |

def ok | ( |  | self,
|  |  | event = `None`
| ) |  |

def realOrNone | ( |  | self,
|  |  | val
| ) |  |

def validateChanges | ( |  | self | ) |

## Member Data Documentation

balloonList

initial_focus

modifiedDict

parent

propertyDict

propertyList

All Classes Namespaces Functions Variables Enumerations Enumerator Properties